com.io7m.r2.meshes.tools

## Enum R2MeshToolLogLevel

- java.lang.Object
- - java.lang.Enum<R2MeshToolLogLevel>
  - - com.io7m.r2.meshes.tools.R2MeshToolLogLevel

- All Implemented Interfaces:
    Serializable, Comparable<R2MeshToolLogLevel>

      public enum R2MeshToolLogLevel
      extends Enum<R2MeshToolLogLevel>

  Log level.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOG_DEBUG`
    `LOG_ERROR`
    `LOG_INFO`
    `LOG_TRACE`
    `LOG_WARN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `String` | `toString()`
    `static R2MeshToolLogLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static R2MeshToolLogLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOG_TRACE

          public static final R2MeshToolLogLevel LOG_TRACE

      See Also:
        `Level.TRACE`

    - #### LOG_DEBUG

          public static final R2MeshToolLogLevel LOG_DEBUG

      See Also:
        `Level.DEBUG`

    - #### LOG_INFO

          public static final R2MeshToolLogLevel LOG_INFO

      See Also:
        `Level.INFO`

    - #### LOG_WARN

          public static final R2MeshToolLogLevel LOG_WARN

      See Also:
        `Level.WARN`

    - #### LOG_ERROR

          public static final R2MeshToolLogLevel LOG_ERROR

      See Also:
        `Level.ERROR`

  - ### Method Detail

    - #### values

          public static R2MeshToolLogLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (R2MeshToolLogLevel c : R2MeshToolLogLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static R2MeshToolLogLevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<R2MeshToolLogLevel>`

    - #### getName

          public String getName()

      Returns:
        The short name of the level

Copyright © 2016 <code@io7m.com> http://io7m.com